Subject: epoch field in Refresh Reduction RFC (2961)

From: "manoj juneja" <[email-masked]>
Date: Thu, 06 Sep 2001 23:49:06 -0700

Hi All,
           I have a doubt regarding the epoch value as described in RR RFC. 
If a node receives different epoch value than previously received from the 
neighbor, should the node delete the context of all the message Ids that 
were linked with old epoch value learned previously ? If not, then how can a 
node maintain the context of two different epochs at the same time from the 
same node ?
If the context of all the old message Ids that were linked with old epcoh 
has to be deleted then should the path and reservation states be deleted or 
need to kept without the message ids ?

Regards,
manoj.

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

---

From: Bob Braden <[email-masked]>
Date: Mon, 10 Sep 2001 15:55:59 GMT

*> >
  *> Actually, if there is an epoch value change, the receiving nodes should 
  *> nack the messages to force the sending node retransmits the full 
  *> messages. This is somewhat important in case of summary refresh messages.
  *> 
  *> - Ping Pan
  *> 

Righto.  Thanks.

Bob

---

From: "Feng, Mark" <[email-masked]>
Date: Thu, 13 Sep 2001 11:29:24 -0700

> -----Original Message-----
> From: Ping Pan [mailto:[email-masked]]
> Sent: Wednesday, September 12, 2001 3:05 PM
> To: Feng, Mark
> Cc: 'Ping Pan'; Bob Braden; [email-masked]; [email-masked]
> Subject: Re: epoch field in Refresh Reduction RFC (2961)
> 
> 
> "Feng, Mark" wrote:
> > 
> > > >
> > > >If the received epoch value changes, then presumably the
> > > sender of that
> > > >value has been restarted and lost state.  So the 
> sensible thing to do
> > > >would seem to be to delete all state associated with the old
> > > epoch value.
> > > >
> > >
> > > Yep.
> > >
> > 
> > [Mark] I am not sure deleting the states themselves is a 
> good choice. With
> > the following scenario:
> >      R1 - R2 - R3
> > Let's assume R2 resets, R3 receives a new Epoch value. For 
> simplicity, let's
> > just assume the associated states are Path states. If R3 
> deletes those
> > states, it would make sense that PTear should be sent towards the
> > downstream; otherwise, R3 is simply taking care of itself, 
> and not helping
> > all the nodes downstream. By doing so, the effect is not 
> localized to one
> > node, but affects all the states on the nodes along the 
> path from that point
> > on.
> 
> I believe what Bob was saying that, in this case, the *receiving* node
> should delete all the states that have an old epoch value. 
> Not sure why
> anybody wants to delete the actual reservation states.
> 

[Mark] Sorry for the misundertanding. I was confused what "state" we are
talking about. It is definitely a good idea to remove the mapping between
the message Id and the corresponding Path/Resv states.

- Mark